﻿<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" doctype-system="http://www.w3.org/TR/html4/strict.dtd" doctype-public="-//W3C//DTD HTML 4.01//EN" indent="yes" /> 
    <xsl:template match="/">
        <html xml:lang="en">
            <head>
                <script src="js/jquery.min.js" type="text/javascript">></script>
                <script src="js/main.js" type="text/javascript"></script>
                <link media="all" href="css/styles.css" type="text/css" rel="stylesheet"/>
                <title>Our XSLT-based ajaxy forum</title>
            </head>
            <body>
                <div class="main">
                    <h2>Our XSLT-based ajaxy forum</h2>
                    <div class="forum">
                        <div class="header">Forum topics</div>
                        <xsl:for-each select="forum/topic">
                            <div class="topic">
                                <xsl:attribute name="id">
                                    <xsl:value-of select="position()"/>
                                </xsl:attribute>

                                <a class="top_link" href="javascript:void(0)">
                                    <xsl:value-of select="@title"/> (<xsl:value-of select="count(child::*)"/>)
                                </a>
                                <div class="desc">
                                    <xsl:value-of select="@description"/>
                                </div>
                                <div class="posts"></div>
                            </div>
                        </xsl:for-each>

                    </div>
                </div>
                <xsl:comment>Copyright: AndrewP</xsl:comment>

                <div style="bottom:0;position:fixed;">
                <hr style="clear:both;" />
                <h4>
                    <a href="http://www.script-tutorials.com/creating-ajaxy-forums-using-xslt/">back to original article page</a>
                </h4>
                </div>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>